<?php

namespace Teknisa\DF\Modules\Entrada\Services;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DTO\Response;
use Teknisa\DF\Modules\Entrada\Factories\Dfe18500DocumentosParaComposicaoDeCustosFactory;



class Dfe18500DocumentosParaComposicaoDeCustosService {
    
    protected $entityManager;
    protected $environment;
    protected $documentosComposicaoDeCustosFactory;

    public function __construct(EntityManager $entityManager, $environment, Dfe18500DocumentosParaComposicaoDeCustosFactory $documentosComposicaoDeCustosFactory){
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->documentosComposicaoDeCustosFactory = $documentosComposicaoDeCustosFactory;
    }
    
    public function produtoItemproduto($conditions) {
        $nrlanctonf = $conditions[0]["value"];
        $cdfilial = $conditions[1]["value"];
        $nrorg  =  $conditions[2]["value"];
        
        return $this->documentosComposicaoDeCustosFactory->produtoItemproduto($nrlanctonf, $cdfilial, $nrorg);
    }

}